# -*- coding: utf-8 -*-
#------------------------------------------------------------
# ORIGINAL Addon by coldkeys
#------------------------------------------------------------
# License: GPL (http://www.gnu.org/licenses/gpl-3.0.html)
# Based on code from youtube addon
#
# Author: coldkeys
#------------------------------------------------------------

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.koditubers'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID_1 = "newtechevolution"
YOUTUBE_CHANNEL_ID_2 = "hmemar22"
YOUTUBE_CHANNEL_ID_3 = "dimitrology"
YOUTUBE_CHANNEL_ID_4 = "UCuSdObYHdjize3ziP951org"
YOUTUBE_CHANNEL_ID_5 = "JoeNobody010101"
YOUTUBE_CHANNEL_ID_6 = "UCTYTXF_hTAidKfbeN4hN7eA"
YOUTUBE_CHANNEL_ID_7 = "UCTSfSNhVOXAHtvBTCcUzJAA"
YOUTUBE_CHANNEL_ID_8 = "UCgRxR05Lmy_KVVW5I0PcTDA"
YOUTUBE_CHANNEL_ID_9 = "UCr_wSx5sZh5ydPzf7jOS7ZQ"
YOUTUBE_CHANNEL_ID_10 = "nareshkeswani80"
YOUTUBE_CHANNEL_ID_11 = "vdubt25"
YOUTUBE_CHANNEL_ID_12 = "UCgYI_a85B2wYm6CPH56a77g"
YOUTUBE_CHANNEL_ID_13 = "UCR41q_PB30HPHFAhiQxgEcA"
YOUTUBE_CHANNEL_ID_14 = "UCypqqP1Kd0R-S5MfEiFPgwQ"
YOUTUBE_CHANNEL_ID_16 = "krazinabox"
YOUTUBE_CHANNEL_ID_17 = "UC00Jx1zkJloh2Ow0ubv4mfQ"
YOUTUBE_CHANNEL_ID_18 = "UC8Vs1m9YmDBQHGMicqzg9OA"


# Entry point
def run():
    plugintools.log("docu.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()
    xbmc.executebuiltin("Container.SetViewMode(500)")
# Main menu
def main_list(params):
    plugintools.log("docu.main_list "+repr(params))
    
		
    plugintools.add_item( 
        #action="", 
        title="SoloMan",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_4+"/",
        thumbnail="https://pbs.twimg.com/profile_images/581983514033135616/QBekQ_rJ_400x400.png",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="JoeNobody010101",
        url="plugin://plugin.video.youtube/user/"+YOUTUBE_CHANNEL_ID_5+"/",
        thumbnail="https://yt3.ggpht.com/-yyi7bfBAFdM/AAAAAAAAAAI/AAAAAAAAAAA/YZtjGJ9XsYo/s100-c-k-no/photo.jpg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="Husham Memar",
        url="plugin://plugin.video.youtube/user/"+YOUTUBE_CHANNEL_ID_2+"/",
        thumbnail="https://pbs.twimg.com/profile_images/532957755854704642/0Tf3_wmP_400x400.jpeg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="NewtechEvolution",
        url="plugin://plugin.video.youtube/user/"+YOUTUBE_CHANNEL_ID_1+"/",
        thumbnail="https://pbs.twimg.com/profile_images/681272135097171968/RgbCv4et.png",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Dimitrology",
        url="plugin://plugin.video.youtube/user/"+YOUTUBE_CHANNEL_ID_3+"/",
        thumbnail="https://pbs.twimg.com/profile_images/959395387/DLOGO_400x400.png",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="Dicko The Geordie",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_6+"/",
        thumbnail="https://pbs.twimg.com/profile_images/688930257349509120/_4DJyyDQ.png",
        folder=True )
        
    plugintools.add_item( 
        #action="", 
        title="Jasonmoore85",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_7+"/",
        thumbnail="https://lh3.googleusercontent.com/-nhfsLTvp5BE/VknPZGiVI5I/AAAAAAAAADA/LYnMxlZcnG0/w340-h341/phone%2B1890.JPG",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Naresh Lal",
        url="plugin://plugin.video.youtube/user/"+YOUTUBE_CHANNEL_ID_10+"/",
        thumbnail="https://yt3.ggpht.com/-Kb9zJh_02NI/AAAAAAAAAAI/AAAAAAAAAAA/QuwbM3wc9vI/s100-c-k-no/photo.jpg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="Simply Caz",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_9+"/",
        thumbnail="https://pbs.twimg.com/profile_images/681690211257036800/JHAzb9oa.png",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="KRAZ inabox",
        url="plugin://plugin.video.youtube/user/"+YOUTUBE_CHANNEL_ID_16+"/",
        thumbnail="https://pbs.twimg.com/profile_images/646935030862843904/Nw27xWXJ_400x400.jpg",
        folder=True )
	
    plugintools.add_item( 
        #action="", 
        title="Diavoletto TV",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_13+"/",
        thumbnail="https://yt3.ggpht.com/-dRHynHd6kz8/AAAAAAAAAAI/AAAAAAAAAAA/MErqzqRJb-c/s100-c-k-no/photo.jpg",
        folder=True )		

    plugintools.add_item( 
        #action="", 
        title="Vdubt25",
        url="plugin://plugin.video.youtube/user/"+YOUTUBE_CHANNEL_ID_11+"/",
        thumbnail="https://pbs.twimg.com/profile_images/577233741526908928/ytQrYIkj.jpeg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Acosta XBMC",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_18+"/",
        thumbnail="https://yt3.ggpht.com/-r8WbLIryyAU/AAAAAAAAAAI/AAAAAAAAAAA/0KWNwqjB8yM/s100-c-k-no/photo.jpg",
        folder=True )
				
    plugintools.add_item( 
        #action="", 
        title="Gen Tec",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_17+"/",
        thumbnail="https://yt3.ggpht.com/-W0BrnKYJ-bA/AAAAAAAAAAI/AAAAAAAAAAA/XJ8P9GXM4tc/s100-c-k-no/photo.jpg",
        folder=True )
		
    plugintools.add_item( 
        #action="", 
        title="Touchtone",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_8+"/",
        thumbnail="https://yt3.ggpht.com/-PZf6tIaQqC4/AAAAAAAAAAI/AAAAAAAAAAA/LWrigWjcmcE/s100-c-k-no/photo.jpg",
        folder=True )



    plugintools.add_item( 
        #action="", 
        title="My Kodi",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_12+"/",
        thumbnail="https://pbs.twimg.com/profile_images/678363754111696897/HQYiTZON.png",
        folder=True )		
		
    plugintools.add_item( 
        #action="", 
        title="Community Portal - ARB",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_14+"/",
        thumbnail="https://pbs.twimg.com/profile_images/606389400445009920/ej2zvqjI_400x400.jpg",
        folder=True )	
		
		
run()
